Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1918763002: Use correct creation context during Iterable.forEach iteration (Closed)

Created:
4 years, 1 month ago by Jens Widell
Modified:
4 years, 1 month ago
CC:
chromium-reviews, blink-reviews, blink-reviews-bindings_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use correct creation context during Iterable.forEach iteration Use |thisValue| instead of |scriptState->context()->Global()|, since this is simpler and since Global() actually returns a WindowProxy object that may change and become incorrect to use as creation context depending on what the callback function does. BUG=605910 Committed: https://crrev.com/0cd7a9f853e3cb7c035b4ab9e07a503552267f9d Cr-Commit-Position: refs/heads/master@{#389785}

Patch Set 1 #

Patch Set 2 : use thisValue instead of global object as creation context #

Patch Set 3 : add test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+36 lines, -1 line) Patch
A third_party/WebKit/LayoutTests/fast/css/fontfaceset-cross-frame.html View 1 2 1 chunk +35 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/bindings/core/v8/Iterable.h View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 27 (7 generated)
Jens Widell
PTAL Note that I don't really understand why this fix works, and am thus not ...
4 years, 1 month ago (2016-04-25 09:20:17 UTC) #2
haraken
Would you cc me on the bug?
4 years, 1 month ago (2016-04-25 09:48:14 UTC) #3
Jens Widell
On 2016/04/25 09:48:14, haraken wrote: > Would you cc me on the bug? Done.
4 years, 1 month ago (2016-04-25 09:49:29 UTC) #4
Yuki
On 2016/04/25 09:49:29, Jens Widell wrote: > On 2016/04/25 09:48:14, haraken wrote: > > Would ...
4 years, 1 month ago (2016-04-25 09:57:14 UTC) #5
Jens Widell
On 2016/04/25 09:57:14, Yuki wrote: > On 2016/04/25 09:49:29, Jens Widell wrote: > > On ...
4 years, 1 month ago (2016-04-25 10:29:08 UTC) #6
Jens Widell
On 2016/04/25 09:57:14, Yuki wrote: > On 2016/04/25 09:49:29, Jens Widell wrote: > > On ...
4 years, 1 month ago (2016-04-25 11:10:11 UTC) #7
haraken
On 2016/04/25 11:10:11, Jens Widell wrote: > On 2016/04/25 09:57:14, Yuki wrote: > > On ...
4 years, 1 month ago (2016-04-25 11:52:04 UTC) #8
Yuki
On 2016/04/25 11:52:04, haraken wrote: > On 2016/04/25 11:10:11, Jens Widell wrote: > > On ...
4 years, 1 month ago (2016-04-25 15:18:28 UTC) #9
haraken
+jochen +verwaest It sounds dangerous that context()->Global() keeps pointing to an unknown object after the ...
4 years, 1 month ago (2016-04-25 15:27:54 UTC) #11
jochen (gone - plz use gerrit)
On 2016/04/25 at 15:27:54, haraken wrote: > +jochen +verwaest > > It sounds dangerous that ...
4 years, 1 month ago (2016-04-25 15:54:18 UTC) #12
yhirano
> #9 I still don't understand why jl@'s change fixes the behavior. Could you explain ...
4 years, 1 month ago (2016-04-26 01:36:23 UTC) #13
Yuki
On 2016/04/26 01:36:23, yhirano wrote: > > #9 > > I still don't understand why ...
4 years, 1 month ago (2016-04-26 05:01:35 UTC) #14
Jens Widell
On 2016/04/26 05:01:35, Yuki wrote: > On 2016/04/26 01:36:23, yhirano wrote: > > > #9 ...
4 years, 1 month ago (2016-04-26 09:55:40 UTC) #15
Jens Widell
On 2016/04/26 09:55:40, Jens Widell wrote: > As for layout tests, I haven't really been ...
4 years, 1 month ago (2016-04-26 11:51:47 UTC) #16
haraken
LGTM (I'm curious if this is the only place we need this fix though.)
4 years, 1 month ago (2016-04-26 12:39:37 UTC) #17
Jens Widell
On 2016/04/26 12:39:37, haraken wrote: > LGTM > > (I'm curious if this is the ...
4 years, 1 month ago (2016-04-26 14:04:20 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1918763002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1918763002/40001
4 years, 1 month ago (2016-04-26 14:07:23 UTC) #21
commit-bot: I haz the power
Committed patchset #3 (id:40001)
4 years, 1 month ago (2016-04-26 15:23:10 UTC) #23
commit-bot: I haz the power
Patchset 3 (id:??) landed as https://crrev.com/0cd7a9f853e3cb7c035b4ab9e07a503552267f9d Cr-Commit-Position: refs/heads/master@{#389785}
4 years, 1 month ago (2016-04-26 15:25:27 UTC) #25
Yuki
4 years, 1 month ago (2016-04-27 06:25:10 UTC) #27
Message was sent while issue was closed.
LGTM.

FYI, Firefox behaves different from Blink.
In the callback function f(arg) { ... },
    arg instanceof childWindow.FontFace
        => true
    arg instanceof parentWindow.FontFace
        => true (Blink returns false)
    childWindow.FontFace === parentWindow.FontFace
        => false
interesting...

Powered by Google App Engine
This is Rietveld 408576698